program DPtest
  use avomodel
  use dottest

  implicit none
  real, dimension (2) :: dot1, dot2
  integer, parameter  :: n2_in = 100
  real,    parameter  :: o2_in = -60.
  real,    parameter  :: d2_in = 1.
  integer, parameter  :: mube_in = 10
  integer, parameter  :: mubi_in = 40
  integer, parameter  :: mufe_in = 90
  integer, parameter  :: mufi_in = 60

  call avomodel_init(n2_in,o2_in,d2_in,mube_in,mufe_in,mubi_in,mufi_in)
  call dot_test( avomodel_lop, n2_in, n2_in, dot1, dot2 )
  write (6,*) dot1
  write (6,*) dot2
end program DPtest
